> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secrets

> Get a list of secrets for a workspace



## OpenAPI

````yaml GET /workspaces/{workspace_id}/secrets
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/secrets:
    get:
      tags:
        - secrets
      summary: List secrets
      description: Get a list of secrets for a workspace
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: Regex to filter secrets by name
          name: name_regex
          in: query
          schema:
            type: string
        - description: Maximum number of items to return
          name: limit
          in: query
          schema:
            type: integer
            default: 100
        - description: Number of items to skip
          name: offset
          in: query
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/models.Secret'
components:
  schemas:
    models.Secret:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        store_ref:
          type: string
        store_type:
          $ref: '#/components/schemas/models.SecretStoreType'
        value:
          type: string
    models.SecretStoreType:
      type: string
      enum:
        - spin_store
        - runtime_env
        - runtime_file
      x-enum-varnames:
        - SECRET_STORE_TYPE_SPIN
        - SECRET_STORE_TYPE_RTENV
        - SECRET_STORE_TYPE_RTFILE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````